Package jebl.evolution.align

# Interface MultipleAligner

All Known Implementing Classes:
  `BartonSternberg`

public interface MultipleAligner

Version:
  $Id: MultipleAligner.java 482 2006-10-25 06:30:57Z twobeers $ Date: 6/05/2006 Time: 08:08:22
Author:
  Joseph Heled

## Method Summary

Modifier and Type
Method
Description
`Alignment`
`doAlign(List<Sequence> seqs, RootedTree guideTree, ProgressListener progress)`
`Alignment`
`doAlign(Alignment a1, Alignment a2, ProgressListener progress)`
`Alignment`
`doAlign(Alignment alignment, Sequence sequence, ProgressListener progress)`

## Method Details

### doAlign

Alignment doAlign(List<Sequence> seqs, RootedTree guideTree, ProgressListener progress)

### doAlign

Alignment doAlign(Alignment a1, Alignment a2, ProgressListener progress)

### doAlign

Alignment doAlign(Alignment alignment, Sequence sequence, ProgressListener progress)